Get Variant Assignments
Get Variant Assignments
Evaluate all enabled feature flags for a user with the provided context. Returns selected variants for flags the user is eligible for.
GET
Evaluate Feature Flags (GET)
This endpoint returns the variant assignments for enabled flags within a Mixpanel project.
This endpoint returns a map from all feature flags that are provisioned within a Mixpanel project to the variant that the current user context is assigned to.
Authorizations
Project Secret
Query Parameters
Your project token
The Mixpanel project_id. Provide if using service account auth.
URL-encoded JSON object containing evaluation context with distinct_id (required) and optional device_id and custom_properties object
Response
Success
Response containing evaluated feature flags for the user
Map of flag keys to their selected variants
Example:
{
"new_checkout_flow": {
"variant_key": "treatment",
"variant_value": true,
"experiment_id": "exp_123",
"is_experiment_active": true
}
}Evaluate Feature Flags (GET)